import psycopg2 as pg
from sshtunnel import SSHTunnelForwarder
from BackendApi.config import SSH_H, host, user, db_name, password

def connect():
    try:
        print('Connecting to the PostgreSQL Database...')
        # подключение по ssh к серверу
        ssh_tunnel = SSHTunnelForwarder(
            (SSH_H, 334), #ip address and port
            ssh_username="evgeny_polivanov", #имя пользователя
            ssh_private_key= 'D:/sshc',# путь к файлу где расположен ssh ключ (не .pub)
            ssh_private_key_password= '',# пароль (в данном случае пароль отсутствует)
            remote_bind_address=(host, 5432) # не особо понял что это
        )
        ssh_tunnel.start()  
        print("Tunnel start!")   
        # Подключение к базе данных 
        conn = pg.connect(
            host=host,
            port=ssh_tunnel.local_bind_port,
            user=user,
            password= password,
            database=db_name
        )
        print("Success database connect!")
        return conn
    except:
        print('Connection Has Failed...') 